Skip to navigation

Security Advisory Critical: flash-plugin security update

Advisory: RHSA-2010:0706-1
Type: Security Advisory
Severity: Critical
Issued on: 2010-09-21
Last updated on: 2010-09-21
Affected Products: RHEL Desktop Supplementary (v. 5 client)
RHEL Supplementary (v. 5 server)
Red Hat Enterprise Linux Extras (v. 3)
Red Hat Enterprise Linux Extras (v. 4)
Red Hat Enterprise Linux Extras (v. 4.8.z)
CVEs (cve.mitre.org): CVE-2010-2884

Details

An updated Adobe Flash Player package that fixes one security issue is now
available for Red Hat Enterprise Linux 3 and 4 Extras, and Red Hat
Enterprise Linux 5 Supplementary.

The Red Hat Security Response Team has rated this update as having critical
security impact. A Common Vulnerability Scoring System (CVSS) base score,
which gives a detailed severity rating, is available from the CVE link in
the References section.

The flash-plugin package contains a Mozilla Firefox compatible Adobe Flash
Player web browser plug-in.

This update fixes one vulnerability in Adobe Flash Player. This
vulnerability is detailed on the Adobe security page APSB10-22, listed in
the References section. If a victim loaded a page containing
specially-crafted SWF content, it could cause flash-plugin to crash or,
potentially, execute arbitrary code. (CVE-2010-2884)

All users of Adobe Flash Player should install this updated package, which
upgrades Flash Player to version 10.1.85.3 for users of Red Hat Enterprise
Linux 5 Supplementary, and version 9.0.283 for users of Red Hat Enterprise
Linux 3 and 4 Extras.


Solution

Before applying this update, make sure all previously-released errata
relevant to your system have been applied.

This update is available via the Red Hat Network. Details on how to
use the Red Hat Network to apply this update are available at
http://kbase.redhat.com/faq/docs/DOC-11259

Updated packages

RHEL Desktop Supplementary (v. 5 client)

IA-32:
flash-plugin-10.1.85.3-1.el5.i386.rpm
File outdated by:  RHSA-2014:0380
    MD5: 0290bd6de5ad928048949199ee5e79bd
SHA-256: 72d4396f3dc893e14a647324eb7e650c099f10ccef291ccfc18c5645b3f2e5a6
 
x86_64:
flash-plugin-10.1.85.3-1.el5.i386.rpm
File outdated by:  RHSA-2014:0380
    MD5: 0290bd6de5ad928048949199ee5e79bd
SHA-256: 72d4396f3dc893e14a647324eb7e650c099f10ccef291ccfc18c5645b3f2e5a6
 
RHEL Supplementary (v. 5 server)

IA-32:
flash-plugin-10.1.85.3-1.el5.i386.rpm
File outdated by:  RHSA-2014:0380
    MD5: 0290bd6de5ad928048949199ee5e79bd
SHA-256: 72d4396f3dc893e14a647324eb7e650c099f10ccef291ccfc18c5645b3f2e5a6
 
x86_64:
flash-plugin-10.1.85.3-1.el5.i386.rpm
File outdated by:  RHSA-2014:0380
    MD5: 0290bd6de5ad928048949199ee5e79bd
SHA-256: 72d4396f3dc893e14a647324eb7e650c099f10ccef291ccfc18c5645b3f2e5a6
 
Red Hat Enterprise Linux Extras (v. 3)

IA-32:
flash-plugin-9.0.283.0-1.el3.with.oss.i386.rpm     MD5: a216225634cb9e7e28bd3762825be73d
SHA-256: 7feebae7ffebf80cdac1bb2e3a2a7ea760f745156dbb2c01c20bd9c2d5a7936c
 
Red Hat Enterprise Linux Extras (v. 4)

IA-32:
flash-plugin-9.0.283.0-1.el4.i386.rpm
File outdated by:  RHSA-2011:0368
    MD5: 2c25c6f5f17e969472b4fa0c1e329cf0
SHA-256: c0ee9c2edb9e4a35d3eb197f9f8039252277461a4155bc0ec3e45c11f0e4f699
 
Red Hat Enterprise Linux Extras (v. 4.8.z)

IA-32:
flash-plugin-9.0.283.0-1.el4.i386.rpm
File outdated by:  RHSA-2011:0368
    MD5: 2c25c6f5f17e969472b4fa0c1e329cf0
SHA-256: c0ee9c2edb9e4a35d3eb197f9f8039252277461a4155bc0ec3e45c11f0e4f699
 
(The unlinked packages above are only available from the Red Hat Network)

Bugs fixed (see bugzilla for more information)

633917 - CVE-2010-2884 Adobe Flash: crash or potential arbitrary code execution (APSB10-22)


References



These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from:
https://www.redhat.com/security/team/key/#package

The Red Hat security contact is secalert@redhat.com. More contact details at http://www.redhat.com/security/team/contact/